Name:     kdissert
Version:  1.0.7
Release:  alt9
Summary:  kdissert is a mindmapping tool dedicated to the creation of complex documents: dissertations, thesis, presentations and reports. 
License:  GPL
Source0:  %name-%version.tar.bz2
Url:      http://www.kde-apps.org/content/show.php?content=12725
Group:    Text tools
Packager: Denis Medvedev <nbr@altlinux.ru> 

BuildPreReq: fontconfig freetype2 hostinfo kde-settings gcc-c++
BuildPreReq: kdelibs-devel libjpeg-devel libpng-devel libqt3-settings 
BuildPreReq: menu-devel xml-utils xorg-x11-devel zlib-devel python
BuildPreReq: desktop-file-utils

Requires(post,postun): desktop-file-utils

%description
%name is a mindmapping tool dedicated to the creation of complex documents: dissertations, thesis, presentations and reports.
It features several document generators: latex reports, latex slides (based on Prosper and Beamer), OpenOffice.org writer and impress, html and plain text.

%prep
%setup -q
export WAFDIR=waf-1.0.2
./waf configure --prefix=%{_prefix} --execprefix=%{_exec_prefix} --datadir=%{_datadir} --libdir=%{_libdir} --want-rpath=0
%__subst "s/\.la/.so/g" src/kdissert/gui/KDissertPart.cpp

%build
export WAFDIR=waf-1.0.2
./waf build

%install
export WAFDIR=waf-1.0.2
./waf install --destdir=$RPM_BUILD_ROOT

%find_lang %name


%files -f %name.lang
%doc AUTHORS INSTALL README ROADMAP 
%_bindir/*
%_libdir/kde*/*
%_libdir/*
%_datadir/applnk/*/*.desktop
%dir %_datadir/apps/%name
%_datadir/apps/*
%_iconsdir/*/*/*/kdissert*
%_datadir/mimelnk/*/*
%_datadir/config.kcfg/*
%_datadir/services/*.desktop
%_datadir/applications/kde/*.desktop

%changelog
* Sun Dec 14 2008 Denis Medvedev <nbr@altlinux.ru> 1.0.7-alt9
- BUG #18139 and repocop patch

* Mon Nov 03 2008 Denis Medvedev <nbr@altlinux.ru> 1.0.7-alt8
- Added missing stdlib.h include

* Thu Apr 17 2008 Denis Medvedev <nbr@altlinux.ru> 1.0.7-alt7
- Fixed annoying repocop notification

* Thu Apr 10 2008 Denis Medvedev <nbr@altlinux.ru> 1.0.7-alt6
- Fix repocop small bugs with spec and desktop entries
- added handbook

* Sat Sep 22 2007 Denis Medvedev <nbr@altlinux.ru> 1.0.7-alt4
- update_menus added

* Tue Sep 18 2007 Denis Medvedev <nbr@altlinux.ru> 1.0.7-alt3
- Category changed to Text Tools

* Mon Jul 30 2007 Denis Medvedev <nbr@altlinux.ru> 1.0.7-alt2
- Fix  for wrong search for plugin: la->so

* Fri Jan 05 2007 Denis Medvedev <nbr@altlinux.ru> 1.0.7-alt1
- template data changes, updated translations
* Sun Nov 12 2006 Denis Medvedev <nbr@altlinux.ru> 1.0.6b-alt1
- Moved from orphaned,updated
* Tue Sep 27 2005 Eugene Ostapets <eostapets@altlinux.ru> 1.0.4-alt1
- first build
